#import "TextMateExtensions.h"
#import "textmate_dump.h"
#import "LineNumberPlugin.h"

extern id hennkDelegate;

@implementation NSWindowPoser
// called when the user switches tabs (or load files)
- (void)setRepresentedFilename:(NSString*)aPath
{
  @try
  {
    [hennkDelegate didChangeFileTo:aPath];
  }
  @finally
  {
    [super setRepresentedFilename:aPath];
  }
}
@end

@implementation OakStatusBar(hennkAdditions)

- (void)hennkSetLineNumber:(int)newLineNumber
{
  @try
  {
    [hennkDelegate didChangeLineNumberTo:[NSNumber numberWithInt:newLineNumber]];
  }
  @finally
  {
    [self hennkSetLineNumber:newLineNumber];
  }
}

@end
